<form autocomplete="off"
      #formRef>
  <!-- new row -->
  <div style="padding:20px;">
    <div [formGroup]="myFormGroup"
         style="font-size: 14px;">

      <div class="app-grid">
        <div class="app-grid-col">
          <div>
            <input type="file"
                   id="attachFile"
                   (change)="onFileSelect($event)"
                   style="height:0; width:0; position:absolute; visibility:hidden;">
            <!--display:none may have some cross browser compatibility issue:unsure.-->
            <label for="attachFile"
                   style="line-height: 2em;"
                   class="btn-round mat-primary mat-stroked-button col-50">
              <mat-icon style="vertical-align: middle">attach_file</mat-icon> Choose File
            </label>
            <mat-form-field floatLabel="never"
                            class="native-form-field col-50">
              <input matInput
                     placeholder="Internal Doc Name (Autopopulated)"
                     value="{{file?.name}}"
                     disabled>
            </mat-form-field>
          </div>
          <div>
            <mat-form-field floatLabel="never"
                            class="native-form-field col-100">
              <input matInput
                     #docNameRef
                     required
                     maxlength="50"
                     formControlName="name"
                     placeholder="Doc Name">
            </mat-form-field>

          </div>
          <div>

            <mat-form-field floatLabel="never"
                            class="native-form-field col-50">
              <mat-select formControlName="labels"
                          required
                          placeholder="Labels">
                <mat-option [value]="item"
                            *ngFor="let item of labels">{{item}}</mat-option>
              </mat-select>
            </mat-form-field>

            <mat-form-field floatLabel="never"
                            class="native-form-field col-50">
              <mat-select formControlName="mandatory"
                          required
                          placeholder="Boolean">
                <mat-option value="Yes">Yes</mat-option>
                <mat-option value="No">No</mat-option>
              </mat-select>
            </mat-form-field>

          </div>
        </div>
        <div class="app-grid-col">
          <mat-form-field floatLabel="never"
                          style="width: calc(100% - 30px);padding: 10px;margin-right:10px;vertical-align:top; "
                          class="native-form-field">
            <textarea rows="5"
                      formControlName="description"
                      matInput
                      required
                      placeholder="Description"></textarea>
          </mat-form-field>
        </div>
      </div>
      <div class="center-content">
        <button mat-flat-button
                class="btn-round"
                (click)="save()"
                [disabled]="saving || !myFormGroup.valid">Add<app-spinner button
                       class="inline-spinner"
                       *ngIf="saving"></app-spinner></button>
      </div>

    </div>
  </div>
  <table class="table-element-as-mat">
    <thead>
      <tr>
        <th style="width: 450px;">Doc Name</th>
        <th>Labels</th>
        <th>Mandatory</th>
        <!-- <th>Content Type</th> -->
        <th>&nbsp;</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let element of documents">
        <td>
          <span>{{element.name}}</span>
          <p class="mat-card-subtitle"
             style="white-space: pre-wrap;"
             *ngIf="element.description">{{element.description}}</p>
        </td>
        <td>{{element.labels}}</td>
        <td>{{element.mandatory}}</td>
        <!-- <td>{{element.contentType}} </td> -->
        <td><button mat-icon-button
                  title="remove"
                  [disabled]="element.deleting"
                  (click)="delete(element)"
                  class="btn-icon-delete">
            <mat-icon *ngIf="!element.deleting">delete</mat-icon>
            <app-spinner button
                         class="inline-spinner"
                         *ngIf="element.deleting"></app-spinner>
          </button></td>
      </tr>
      <tr *ngIf="!documents.length"
          class="no-record-row">
        <td colspan="5">No records found.</td>
      </tr>


    </tbody>
  </table>
</form>
